* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  font-family: "Roboto";

  /* SKILLCAST */
  --primaryColor: #004C93;
  --secondaryColor: #EE9208;

  /*FORMULA 1 */
  /* --primaryColor: #E00E00;
  --secondaryColor: #000000; */

  /*TESCO*/
  /* --primaryColor: white;
  --primaryColor: #004C93; */

  --buttonRadius: 0px;
  --textAreaRadius: 0px;
  --iconButtonRadius: 0px;
}

.accordion-container .accordion-section .panel:hover  {
  background-color: #0c6ac2;

  /*FORMULA ONE*/
  /* background-color: #e6564c; */

  transition: all 0.1s ease-in-out;
}

body {
  display: flex;
  justify-content: start;
  align-items: start;
  min-height: 100vh;
}

#policy-details-container {
  max-width: 25rem;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin: 0 2rem 0 2rem;
}

#logo-container {
  margin-bottom: 1rem;
}

#comments {
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 1rem 0 2rem 0;
}

.resolve-img {
  height: 2rem;
  width: 2rem;
  margin-right: 1rem;
}

.accordion-container {
  max-width: 25rem;
}

.accordion-container .accordion-section {
  position: relative;
  /* margin: 10px 20px; */
}

.accordion-container .accordion-section .panel {
  position: relative;
  padding: 10px;
  background-color: var(--primaryColor);
  color: #FFFFFF;
  cursor: pointer;
}

.accordion-container .accordion-section .panel::before {
  content: "+";
  position: absolute;
  top: 15%;
  right: 10px;
  transform: translate(-50%);
  font-size: 1.5em;
}

.accordion-container .accordion-section.active .panel::before {
  content: "-";
  top: -15%;
  right: 10px;
  font-size: 2.5em;
}

.content-section::before {
  content: "";
  position: absolute;
  /* top: 2px; */
  height: 100%;
  width: 5px;
  background-color: var(--primaryColor);
  align-self: center;
}

.accordion-section.active .panel::after {
  position: absolute;
  content: "";
  z-index: 289;
  width: 0; 
  height: 0; 
  border-left: 10px solid transparent;
  border-right: 10px solid transparent;
  border-top: 20px solid var(--primaryColor);
  left: 20px;
  bottom: -50%;
}

.content-area {
  margin: 2rem 1rem 0 1rem;
}

.accordion-container .accordion-section .content-section {
  position: relative;
  background-color: #F4F3F3;
  height: 0;
  overflow: hidden;
  /* transition: 0.5s ease-out; */
  overflow-y: auto;
}

.accordion-container .accordion-section.active .content-section {
  height: 100%;
  transition: 0.5s;
  /* padding: 10px; */
}

/* .accordion-container {
  //width: 20rem;
  border-radius: 15px;
  overflow: hidden;
  margin: auto;
  margin-top: 10rem;
} */

.accordion-container {
  margin-bottom: 5rem;
}

.accordion-section {
  margin-bottom: 0.1rem;
}

.panel {
  display: flex;
  /* justify-content: space-between; */
  /* padding: 0.5rem 0 0.5rem 0; */
  /* cursor: pointer; */
}

.panel p {
  /* color: #FFFFFF; */
  /* font-size: 1rem; */
  /* text-align: left; */
  /* font-weight: 400; */
  /* flex: 4; */
  margin-left: 0.5rem;
}

.close-panel {
  color: #FFFFFF;
  /* width: 20rem; */
  background-color: var(--secondaryColor);
  padding: 0.5rem 0 0.5rem 0;
  cursor: pointer;
  text-align: center;
  font-weight: 500;
}

.panel img {
  height: 1rem;
  width: 1rem;
  margin: 0 0.5rem 0 0.5rem;
  flex: 1;
}

.content-section {
  background-color: #F4F4F4;
  height: 10rem;
}

.line {
  margin: 0.2rem 0 0.2rem 0;
  width: 1.25rem;
  height: 100%;
  background-color: var(--secondaryColor);
  margin-right: 0.5rem;
}

.submit-button, .comment-button, .reply-button {
  background-color: var(--secondaryColor);
  border: none;
  border-radius: var(--buttonRadius);
  width: 7rem;
  height: 2rem;
  color: #FFFFFF;
  margin-top: 1rem;
  text-align: center;
  cursor: pointer;
  box-shadow: 0 1px 3px grey;
}

.submit-button {
  margin-bottom: 1rem;
  margin-left: 0.5rem;
}

.submit-button:hover,
.close-panel:hover,
.reply-button:hover,
.cancel-icon-button:hover,
.reply-icon-button:hover,
.reply-resolve-icon-button:hover,
.reply-unresolve-icon-button:hover {
  opacity: 0.8;
}

.submit-button:active,
.close-panel:active,
.reply-button:active,
.cancel-icon-button:active,
.reply-icon-button:active,
.reply-resolve-icon-button:active,
.reply-unresolve-icon-button:active,
.reply-unresolve-icon-button:active {
  opacity: 0.6;
}

.radio-text {
  margin-top: 1rem;
  font-size: 0.9rem;
}

.link-text,
.text,
.checkbox-text {
  margin-bottom: 1rem;
  font-size: 0.9rem;
}

.comment-text,
.reply-text {
  font-size: 0.9rem;
}

.radio-text, .checkbox-text  {
  cursor: pointer;
  margin-right: 0.5rem;
}

.checkbox-text {
  margin-top: 1rem;
}

.link-text {
  cursor: pointer;
}

.user-div {
  display: flex;
}

.img {
  height: 1rem;
  width: 1rem;
  margin-right: 1rem;
}

.text-area {
  width: 22rem;
  height: 7rem;
  border-radius: var(--textAreaRadius);
  border: none;
  resize: none;
  padding: 10px 10px;
  box-shadow: 0px 1px 5px #cecece;
  margin-left: 0.5rem;
}

.attestation-text-area {
  width: 22rem;
  height: 7rem;
  border-radius: var(--textAreaRadius);
  border: none;
  resize: none;
  padding: 10px 10px;
  box-shadow: 0px 1px 5px #cecece;
  margin-top: 1rem;
  margin-left: 0.5rem;
}

.reply-text-area {
  width: 22rem;
  height: 7rem;
  border-radius: var(--textAreaRadius);
  border: none;
  resize: none;
  padding: 10px 10px;
  margin-top: 1rem;
  box-shadow: 0px 1px 5px #cecece;
  margin-left: 0.5rem;
}

.create-comment-container {
  display: flex;
  flex-direction: column;
}

.comment-button {
  align-self: flex-end;
  margin-right: 0.5rem;
}

.comment-button:hover {
  opacity: 0.8;
}

.comment-button:active {
  opacity: 0.6;
}


.comment-count-text {
  border-top: 2px solid #E7E7E7;
  border-bottom: 2px solid #E7E7E7;
  padding: 0.25rem 0 0.25rem 0;
  font-weight: bold;
}

.new-comment-container {
  display: flex;
  flex-direction: column;
  margin-top: 1rem;

}

.user-container {
  display: flex;
  align-items: center;
  margin-top: 1rem;
}

.date-time-text {
  font-size: 0.75rem;
}

.username-text {
  font-size: 0.9rem;
  font-weight: bold;
}

.avatar {
  height: 3rem;
  width: 3rem;
  margin: 0 1rem 0 1rem;
  border-radius: 50px;
}

.comment-text, .reply-text {
  margin-top: 0.75rem;
}

.line-break {
  border-top: 2px solid #E7E7E7;
  margin-top: 1rem;
}

.reply-button {
  align-self: flex-end;
  margin-top: 0.5rem;
}

.button-container {
  display: flex;
  justify-content: flex-end;
  margin-top: 1rem;
  margin-right: 0.5rem;
}

.cancel-icon-button, .reply-icon-button, .reply-resolve-icon-button, .reply-unresolve-icon-button {
  position: relative;
  height: 2rem;
  width: 2rem;
  border-radius: var(--iconButtonRadius);
  margin-left: 0.25rem;
  border: none;
  box-shadow: 0 1px 3px grey;
  cursor: pointer;
}

.cancel-icon-button {
  /* background-color: #D30404; */
  background-color: var(--secondaryColor);
}

.reply-icon-button {
  /* background-color: #EE9208; */
  background-color: var(--secondaryColor);
}

.reply-resolve-icon-button {
  /* background-color: #21D955; */
  background-color: var(--secondaryColor);
}

.reply-unresolve-icon-button {
  /* background-color: #0085FF; */
  background-color: var(--secondaryColor);
}

.cancel-icon, .reply-icon, .reply-resolve-icon {
  height: 1rem;
  width: 1rem;
}

.hidden {
  display: none;
}

.reply-comment-container {
  display: flex;
  flex-direction: column;
  margin-left: 2rem;

}

.avatar-reply {
  height: 3rem;
  width: 3rem;
  margin: 0 1rem 0 1rem;
  border-radius: 50px;
}

.user-container {
  /* margin-bottom: 1rem; */
}

.read-more-button {
  border: none;
  background-color: none;
  color: var(--secondaryColor);
  width: 5rem;
  align-self: flex-end;
  cursor: pointer;
  font-weight: bold;
  margin-bottom: 0.5rem;
}

.read-more-button:hover {
  color: black;
}

.read-more-button:active {
  opacity: 0.7;
}

.comment-text {
  margin-left: 1rem;
}

.read-more-button-reply {
  border: none;
  background-color: none;
  color: var(--secondaryColor);
  width: 5rem;
  cursor: pointer;
  font-weight: bold;
  margin-bottom: 1rem;
  margin-left: auto;
}

.reply-box-container {
  display: flex;
  flex-direction: column;
}

.reply-text {
  margin-left: 1rem;
}

.cancel-icon-button::before,
.cancel-icon-button::after,
.reply-icon-button::before,
.reply-icon-button::after,
.reply-resolve-icon-button::before,
.reply-resolve-icon-button::after,
.reply-unresolve-icon-button::before,
.reply-unresolve-icon-button::after {
  --scale: 0;
  --arrow-size: 5px;
  --tooltip-color: #656565;

  position: absolute;
  top: -.25rem;
  left: 50%;
  transform: translateX(-80%) translateY(var(--translate-y, 0)) scale(var(--scale));
  transition: 50ms transform;
  transform-origin: bottom center;
}

.cancel-icon-button::before,
.reply-icon-button::before,
.reply-resolve-icon-button::before,
.reply-unresolve-icon-button::before {
  --translate-y: calc(-100% - var(--arrow-size));

  content: attr(data-tooltip);
  color: white;
  padding: 0.5rem;
  width: max-content;
  background: var(--tooltip-color);
  border-radius: var(--iconButtonRadius);
  text-align: center;
}

.cancel-icon-button:hover::before,
.cancel-icon-button:hover::after,
.reply-icon-button:hover::before,
.reply-icon-button:hover::after,
.reply-resolve-icon-button:hover::before,
.reply-resolve-icon-button:hover::after,
.reply-unresolve-icon-button:hover::before,
.reply-unresolve-icon-button:hover::after {
  --scale: 1;
}

.cancel-icon-button::after,
.reply-icon-button::after,
.reply-resolve-icon-button::after,
.reply-unresolve-icon-button::after {
  --translate-y: calc(-1 * var(--arrow-size));
  content: "";
  border: var(--arrow-size) solid transparent;
  border-top-color: var(--tooltip-color);
  transform-origin: top center;
}

.mr1 {
  margin-right: 1rem;
}

.mla {
  margin-left: auto;
  margin-right: 1rem;
}

.actionIcon {
  color: #FFFFFF;
}

p {
  word-break: normal;
  /* word-break: break-all; */
}

.close-button {
  margin-left: auto;
  margin-top: 1rem;
  cursor: pointer;
}